#!/bin/bash

PYS=$( ls *.py | grep -v '__init__.py' )
MODS=$( echo $PYS | sed -e 's/.py//g' )
#echo $PYS
#echo $MODS

if [ ! -e org ]; then
  mkdir -p org
  cp -p $PYS org/
fi

for py in $PYS; do
  echo ${py}
  for m in $MODS; do
    EXP="s/import ${m}$/from . import ${m}/"
    mv ${py} ${py}_
    cat ${py}_ | sed -e "$EXP" > ${py}
  done
  rm ${py}_
done

# EOF
