#!/bin/bash

if [ ! -e argmnt ]; then
  URL=kondoh.html.xdomain.jp/argmnt

  if [ ! -e argmnt_v1.tgz ]; then
    wget $URL/argmnt_v1.tgz
  fi
  tar xzf argmnt_v1.tgz
  cd argmnt

  LST="txt.yaml state.yaml state.txt "
  for s in $LST; do
    wget $URL/$s
  done

  for i in $(seq 2 11); do
    wget $URL/v$i.patch
    cat v$i.patch | patch -p1
  done
  cd ..
fi

# EOF

